scsimon(1)

NAME
scsimon - Acts as a data capture tool for all traffic on the SCSI bus. Data is stored in a Value Change Dump (VCD) file.

SYNOPSIS
scsimon

DESCRIPTION
scsimon monitors all of the traffic on the SCSI bus, using a PiSCSI device. The data is cached in memory while the tool is running. A circular buffer is used so that only the most recent 1,000,000 transactions are stored. The tool will continue to run until the user presses CTRL-C, or the process receives a SIGINT signal.

The logged data is stored in a file called "log.vcd" in the current working directory from where scsimon was launched. Currently, scsimon doesn't accept any arguments. To quit scsimon, press Control + C.

OPTIONS

None

EXAMPLES
Make sure you've stopped the piscsi service. Then launch scsimon to capture all SCSI traffic available to the PiSCSI hardware:
   scsimon If you're trying to capture a specific scenario, you'll want to wait to start scsimon until immediately before the scenario.

SEE ALSO
scsictl(1), piscsi(1), scsidump(1)

Full documentation is available at: <https://www.piscsi.com>